﻿library log;

uses

  System.Classes, Winapi.Windows, System.SysUtils;


type

  TMyTipEvent = (mte_PlaySong, mte_AddMoney, mte_WithdrawalMoney);

  TMyLogParameter = record
    tipEvent      : TMyTipEvent;
    money         : Dword;
    logMessage    : PChar;
  end;
  PTMyLogParameter = ^TMyLogParameter;


const
  outFileName = 'output.txt';


procedure Out2File(params: TMyLogParameter);

  function GetTip: string;
  begin
    case params.tipEvent of
     mte_PlaySong:
       result:= 'Проигрывание';
     mte_AddMoney:
       result:= 'Пополнение';
     mte_WithdrawalMoney:
       result:= 'Инкассация';
    else
       result:= 'х.з.';
    end;
  end;


var
  outfile: text;
begin
  assign(outfile, outFileName);
  if not FileExists(outFileName) then rewrite(outfile) else append(outfile);
  writeln(outfile, format('%s %s %d %s', [DateTimeToStr(now), GetTip, params.money, params.logMessage] ));
  close(outfile);
end;


//==============================================================================

procedure exportproc(params: pointer); stdcall;
begin
  Out2File(PTMyLogParameter(params)^);
end;

  exports exportproc;

begin

end.




